#include <bits/stdc++.h>

using namespace std;

int rez=0;
void minrez(int i,int j,vector<vector<int>>matrica,int n){
    rez+=matrica[i][j];
    if (i==n-1 && j==n-1){
        cout<<rez<<endl;
        return;
    }
    else if (i==n-1){
        minrez(i,j+1,matrica,n);
    }
    else if (j==n-1){
        minrez(j,i+1,matrica,n);
    }
    else{
        minrez(i,j+1,matrica,n);
        minrez(i+1,j,matrica,n);
    }
}




int main()
{
    int n;
    cin>>n;
    int y;
    vector<vector<int>>matrica;
    for (int i=0;i<n;i++){
        for (int j=0;j<n;j++){
            cin>>matrica[i][j];
        }
    }
    minrez(0,0,matrica,n);
    return 0;
}